[Raspberry] Anyone able to use older versions of TV in Raspberry OS(raspbian)?

Announcements

A new TeamViewer version for Windows has been released. Read the Change Log for 15.7.7 here!

Highlighted
Posted by
Henagon

[Raspberry] Anyone able to use older versions of TV in Raspberry OS(raspbian)?

Hey everyone hope somebody has seen this problem before.

I have a commercial license for Teamviewer 12 and I have been using it on Raspberry Pi devices on my company for years.

I reacently bought a Raspberry 4 and when installing the raspbian host for teamviewer I was not able to connect since I had an old version of Teamviewer (version 12) and the only availabe version on TV website is TV15 (for raspberry).

I figured I needed the old installer which is not in the website but luckily I had an old TV12 (teamviewer-host_12.1.83885_armhf.deb) installer. I installed this client for raspberry and it did not work. The problem is that even when im sure I have an internet connection it looks like if I didnt have one, it doesnt show ID or pass and I also cant click on settings.

Annotation 2020-06-08 112427.jpg

Note: I have not tried TV for linux since i thought it was a different version for Raspberry since it uses ARM.

Any ideas?


Thanks!

1 Reply
1 Reply
Highlighted
Posted by
Henagon

Re: [Raspberry] Anyone able to use older versions of TV in Raspberry OS(raspbian)?

After talking to support we concluded this:

Tv12 latest raspberry pi host version is 12.1.83885 and it is not compatible with the new Raspberry Pi 4.

Teamviewer 12 version 12.1.83885 works fine on raspberry pi 3.